Error
A valid request URL is required to generate request examples{
"success": true,
"data": {
"id": "<string>",
"status": "<string>",
"voiceId": "<string>",
"outputUrl": "<string>",
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}Generation status
Poll voiceover status
Poll a voiceover generation job — returns the latest status and the finished audio file with a download URL when complete.
GET
/
voiceovers
/
status
/
{id}
Error
A valid request URL is required to generate request examples{
"success": true,
"data": {
"id": "<string>",
"status": "<string>",
"voiceId": "<string>",
"outputUrl": "<string>",
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}Poll voiceover jobs created via Create voiceover.
Use the
Example response:
When
id returned from the create response. Poll every few seconds until status is COMPLETED or FAILED. Jobs typically finish in ~20 seconds.
curl "https://mvp.tryunsora.com/api/v1/voiceovers/status/GENERATION_ID" \
-H "Authorization: Bearer uns_live_YOUR_API_KEY"
{
"success": true,
"data": {
"id": "cm123...",
"status": "COMPLETED",
"voiceId": "George",
"outputUrl": "https://files.tryunsora.com/....mp3",
"error": null,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:22.000Z",
"completedAt": "2026-07-17T12:00:22.000Z"
}
}
status is COMPLETED, download the audio from outputUrl.
